Update a client org
PATCH
/v1/workspaces/{workspaceId}/sharees/{shareeId}
const url = 'https://shareout.site/v1/workspaces/example/sharees/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","type":"example","properties":{},"branding":{"logo":"example","color":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://shareout.site/v1/workspaces/example/sharees/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "type": "example", "properties": {}, "branding": { "logo": "example", "color": "example" } }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceId
required
string
Workspace ID or slug.
shareeId
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
name
string
type
string
properties
object
branding
object
logo
string
color
string
Example generated
{ "name": "example", "type": "example", "properties": {}, "branding": { "logo": "example", "color": "example" }}Responses
Section titled “ Responses ”Updated
Resource not found
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}